Package org.apache.nutch.exchange

## Class ExchangeConfig

- java.lang.Object
- - org.apache.nutch.exchange.ExchangeConfig

-     public class ExchangeConfig
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClazz()` |
    `String` | `getId()` |
    `static ExchangeConfig` | `getInstance​(Element element)` |
    `Map<String,​String>` | `getParameters()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ExchangeConfig getInstance​(Element element)

    - #### getId

          public String getId()

    - #### getClazz

          public String getClazz()

    - #### getParameters

          public Map<String,​String> getParameters()